<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<body>
   
   <!-- CALENDAR -->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="calendar(label, field, required, value, placeholder, columnsize)">
      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
      <input th:field="*{__${field}__}" type="hidden" />
      <div class="ui calendar" th:id="${'calendar-' + field}">
         <div class="ui fluid input left icon">
            <i class="calendar icon"></i> 
            <input autocomplete="off" th:id="${'input-' + field}" th:onblur="@{${'onblurcalendar(''input-' + field + ''', ''' + field + '''); return false;'}}" th:placeholder="${placeholder != ''} ? ${placeholder}" th:value="${value}" type="text" />
         </div>
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
   <!--  DROPDOWN LIST -->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="dropdownlist(label, field, required, options, optionfield, columnsize, emptyoption)">
      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
      <div class="ui fluid input">
         <select class="ui fluid search dropdown clearable" th:field="*{__${field}__}">
            <option th:if="${emptyoption == true}" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
            <option th:each="item : ${options}" th:text="${__${optionfield}__}" th:value="${item.id}"></option>
         </select>
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
   <!--  DROPDOWN LIST MULTIPLE SELECTION -->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="dropdownlistmultiple(label, field, required, options, optionfield, columnsize)">
      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
      <div class="ui fluid input">
         <select class="ui fluid search dropdown clearable" multiple="multiple" th:field="*{__${field}__}">
            <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
            <option th:each="item : ${options}" th:text="${__${optionfield}__}" th:value="${item.id}"></option>
         </select>
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
      <!--  DROPDOWN LIST  WITH SEARCH-->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="dropdownlistsearchable(label, field, required, options, optionfield, optionfieldlabel, columnsize)">
      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
  	<div class="ui fluid search selection dropdown" >
		<div class="text"></div><i class="dropdown icon"></i>
		<input  th:field="*{__${field}__}" type="hidden" />
	  <div class="menu" >     
 	  	<div class="ui left search icon input" style="width: 95%;">
	  		<i class="search icon"></i> 
	  		<input type="text" name="search" />
	  	</div>
	  	<div class="divider"></div>
      	<div class="item" th:each="item : ${options}" th:data-text="${__${optionfield}__}" th:data-value="${item.id}">
      		<div class="ui tiny label" style="border-radius: 5px; min-width: 45px; text-align: center;" th:text="${__${optionfieldlabel}__}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></div>				     		
       		<label th:text="${__${optionfield}__}" th:value="${item.id}"></label>
       	</div>     
		</div>
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
   <!-- INPUT PASSWORD -->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="password(label, field, required, maxlength, placeholder, columnsize)">
      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
      <div class="ui fluid input">
         <input th:attr="maxlength=${maxlength > 0} ? ${maxlength}" th:field="*{__${field}__}" th:placeholder="${placeholder != ''} ? ${placeholder}" type="password" />
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
   <!-- INPUT TEXT -->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="text(label, field, required, maxlength, placeholder, columnsize)">
      <label th:class="${label != null} ? 'ui dividing header'" th:text="${label != ''} ? ${label}"></label>
      <div class="ui fluid input">
         <input th:attr="maxlength=${maxlength > 0} ? ${maxlength}" th:field="*{__${field}__}" th:placeholder="${placeholder != ''} ? ${placeholder}" type="text" />
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
      <!-- INPUT NUMERIC -->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="number(label, field, required,placeholder, max, min, columnsize)">
      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
      <div class="ui fluid input">
         <input th:max= "${max} > ${min} ? ${max}"  th:min="${min} < ${max} ? ${min}" th:field="*{__${field}__}" th:placeholder="${placeholder != ''} ? ${placeholder}" type="number" />
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
   <!-- INPUT RADIO -->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="radio(label, field, required, options, message, columnsize)">
      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
      <div class="inline field" th:classappend="${#fields.hasErrors(field)} ? 'error'">
         <div class="ui radio checkbox field" th:each="item : ${options}">
            <input class="hidden" th:field="*{__${field}__}" th:value="${item.id}" type="radio" />
            <label th:text="#{${message + '.' + item.id}}"></label>
         </div>
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
   <!-- INPUT TOGGLE -->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="toggle(label, field, required, option, localized, message, columnsize, function)">
      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
      <div class="inline field" th:classappend="${#fields.hasErrors(field)} ? 'error'">
         <div class="ui toggle checkbox field" th:id="${field}">
            <input class="hidden" th:field="*{__${field}__}" type="checkbox" th:onchange= "@{${function}}"/>
            <label th:if="${localized}" th:text="${option == ''} ? #{${message + '.' + item.id}} : #{${option}}"></label>
            <label th:if="${not localized and option != ''}" th:text="${option}"></label>
         </div>
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
   <!-- INPUT TEXTAREA -->
   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" th:fragment="textarea(label, field, required, placeholder, columnsize, maxlength)">
      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
      <div>
         <textarea rows="5" style="resize:none" th:field="*{__${field}__}" th:placeholder="${placeholder != ''} ? ${placeholder}" th:maxlength="${maxlength != null} ? ${maxlength}"></textarea>
      </div>
      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
   </div>
   
	<!-- INPUT MESSAGE -->
	<div th:fragment="message" th:if="${message} != null">
		<div th:class="ui + ' ' + ${message.type} + ' ' + message ">
			<i class="close icon"></i>
			<div class="content">
				<i th:class="${message.icon} + ' ' + icon"></i>
				<span class="content" th:text="${message.text}"></span>
			</div>
		</div>
		<br/> 
	</div>
</body>
</html>